{
  "name": "hrms-server-api",
  "version": "0.0.0",
  "private": true,
  "nodemonConfig": {
    "exec": "npm run dev",
    "watch": [
      "server/*",
      "public/*"
    ],
    "ignore": [
      "**/__tests__/**",
      "*.test.js",
      "*.spec.js"
    ]
  },
  "scripts": {
    "build": "npm-run-all clean transpile",
    "server": "node ./dist-server/bin/www",
    "dev": "NODE_ENV=development npm-run-all build server",
    "prod": "NODE_ENV=production npm-run-all build server",
    "transpile": "babel ./server --out-dir dist-server",
    "clean": "rimraf dist-server",
    "watch:dev": "nodemon"
  },
  "dependencies": {
    "bcrypt": "^5.0.1",
    "body-parser": "^1.19.0",
    "connect-flash": "^0.1.1",
    "connect-mongo": "^1.3.2",
    "cookie-parser": "~1.4.4",
    "cores": "^0.8.5",
    "cors": "^2.8.5",
    "csurf": "^1.9.0",
    "debug": "~2.6.9",
    "ejs": "^2.5.9",
    "esm": "^3.2.25",
    "express": "~4.16.1",
    "express-session": "^1.17.1",
    "express-validator": "^2.21.0",
    "fullcalendar": "^5.11.0",
    "http-errors": "~1.6.3",
    "jade": "~1.11.0",
    "moment": "^2.27.0",
    "moment-weekday-calc": "^1.1.4",
    "mongodb": "^3.7.3",
    "mongoose": "^5.12.11",
    "mongoose-type-email": "^1.0.2",
    "morgan": "~1.9.1",
    "multer": "^1.4.5-lts.1",
    "npm-run-all": "^4.1.5",
    "passport": "^0.3.2",
    "passport-local": "^1.0.0",
    "rimraf": "^3.0.2",
    "serve-favicon": "^2.5.0"
  },
  "devDependencies": {
    "@babel/cli": "^7.18.6",
    "@babel/core": "^7.18.6",
    "@babel/preset-env": "^7.18.6",
    "nodemon": "^2.0.19",
    "rimraf": "^3.0.2"
  },
  "babel": {
    "presets": [
      "@babel/preset-env"
    ]
  }
}
